[config]
num_di=0
num_do=0
num_rw=0
num_ro=81
num_roles=75
num_ot=2
num_di=0
dev_category=0
dev_rating=0.0
ro_fn=4
rw_poll_once=0
ro_multiblock=1
rw_multiblock=1
device_type_id=7091
name=Canadian Solar CSI Inverter
auth=0
client_id=0
password=ABCD0001
description=Canadian Solar CSI-15/17/20/23/25/40/50/60/75/100/110/120K Three Phase String Inverter
di_base_address=1
do_base_address=1
rw_base_address=1
ro_base_address=1
ro_var_0=kWh_Day_Active
ro_desc_0=Daily Generation
ro_p_0=0
ro_i_0=undefined
ro_reg_0=32787
ro_var_1=newreg75
ro_desc_1=undefined
ro_p_1=0
ro_i_1=undefined
ro_reg_1=32788
ro_var_2=kWh_Total_Active
ro_desc_2=Lifetime Generation / Total Active Energy
ro_p_2=0
ro_i_2=undefined
ro_reg_2=32789
ro_var_3=newreg77
ro_desc_3=undefined
ro_p_3=0
ro_i_3=undefined
ro_reg_3=32790
ro_var_4=kWh_Month_Active
ro_desc_4=Monthly Generation
ro_p_4=0
ro_i_4=undefined
ro_reg_4=32824
ro_var_5=newreg79
ro_desc_5=undefined
ro_p_5=0
ro_i_5=undefined
ro_reg_5=32825
ro_var_6=kWh_Year_Active
ro_desc_6=Lifetime Generation / Total Active Energy
ro_p_6=0
ro_i_6=undefined
ro_reg_6=32826
ro_var_7=newreg81
ro_desc_7=undefined
ro_p_7=0
ro_i_7=undefined
ro_reg_7=32827
ro_var_8=AC_Current_A
ro_desc_8=AC Current Phase A
ro_p_8=0
ro_i_8=undefined
ro_reg_8=33024
ro_var_9=AC_Current_B
ro_desc_9=AC Current Phase B
ro_p_9=0
ro_i_9=undefined
ro_reg_9=33025
ro_var_10=AC_Current_C
ro_desc_10=AC Current Phase C
ro_p_10=0
ro_i_10=undefined
ro_reg_10=33026
ro_var_11=AC_Active_Power_A
ro_desc_11=AC Active Power Phase A
ro_p_11=0
ro_i_11=undefined
ro_reg_11=33027
ro_var_12=AC_Active_Power_B
ro_desc_12=AC Active Power Phase B
ro_p_12=0
ro_i_12=undefined
ro_reg_12=33028
ro_var_13=AC_Active_Power_C
ro_desc_13=AC Active Power Phase C
ro_p_13=0
ro_i_13=undefined
ro_reg_13=33029
ro_var_14=AC_Active_Power
ro_desc_14=Total AC Active Power
ro_p_14=0
ro_i_14=undefined
ro_reg_14=33030
ro_var_15=AC_Reactive_Power_A
ro_desc_15=AC Reactive Power Phase A
ro_p_15=0
ro_i_15=undefined
ro_reg_15=33031
ro_var_16=AC_Reactive_Power_B
ro_desc_16=AC Reactive Power Phase B
ro_p_16=0
ro_i_16=undefined
ro_reg_16=33032
ro_var_17=AC_Reactive_Power_C
ro_desc_17=AC Reactive Power Phase C
ro_p_17=0
ro_i_17=undefined
ro_reg_17=33033
ro_var_18=AC_Reactive_Power
ro_desc_18=Total AC Reactive Power
ro_p_18=0
ro_i_18=undefined
ro_reg_18=33034
ro_var_19=AC_PF_A
ro_desc_19=AC Power Factor Phase A
ro_p_19=0
ro_i_19=undefined
ro_reg_19=33035
ro_var_20=AC_PF_B
ro_desc_20=AC Power Factor Phase B
ro_p_20=0
ro_i_20=undefined
ro_reg_20=33036
ro_var_21=AC_PF_C
ro_desc_21=AC Power Factor Phase C
ro_p_21=0
ro_i_21=undefined
ro_reg_21=33037
ro_var_22=AC_PF
ro_desc_22=Total AC Power Factor
ro_p_22=0
ro_i_22=undefined
ro_reg_22=33038
ro_var_23=AC_Voltage_AN
ro_desc_23=AC Voltage Phase A to Neutral
ro_p_23=0
ro_i_23=undefined
ro_reg_23=33039
ro_var_24=AC_Voltage_BN
ro_desc_24=AC Voltage Phase B to Neutral
ro_p_24=0
ro_i_24=undefined
ro_reg_24=33040
ro_var_25=AC_Voltage_CN
ro_desc_25=AC Voltage Phase C to Neutral
ro_p_25=0
ro_i_25=undefined
ro_reg_25=33041
ro_var_26=DC_Power
ro_desc_26=Total DC Power
ro_p_26=0
ro_i_26=undefined
ro_reg_26=33281
ro_var_27=DC_Voltage_1
ro_desc_27=DC Voltage PV 1
ro_p_27=0
ro_i_27=undefined
ro_reg_27=33282
ro_var_28=DC_Current_1
ro_desc_28=DC Current PV 1
ro_p_28=0
ro_i_28=undefined
ro_reg_28=33283
ro_var_29=DC_Voltage_2
ro_desc_29=DC Voltage PV 2
ro_p_29=0
ro_i_29=undefined
ro_reg_29=33284
ro_var_30=DC_Current_2
ro_desc_30=DC Current PV 2
ro_p_30=0
ro_i_30=undefined
ro_reg_30=33285
ro_var_31=DC_Voltage_3
ro_desc_31=DC Voltage PV 3
ro_p_31=0
ro_i_31=undefined
ro_reg_31=33286
ro_var_32=DC_Current_3
ro_desc_32=DC Current PV 3
ro_p_32=0
ro_i_32=undefined
ro_reg_32=33287
ro_var_33=DC_Voltage_4
ro_desc_33=DC Voltage PV 4
ro_p_33=0
ro_i_33=undefined
ro_reg_33=33288
ro_var_34=DC_Current_4
ro_desc_34=DC Current PV 4
ro_p_34=0
ro_i_34=undefined
ro_reg_34=33289
ro_var_35=DC_Voltage_5
ro_desc_35=DC Voltage PV 5
ro_p_35=0
ro_i_35=undefined
ro_reg_35=33290
ro_var_36=DC_Current_5
ro_desc_36=DC Current PV 5
ro_p_36=0
ro_i_36=undefined
ro_reg_36=33291
ro_var_37=DC_Voltage_6
ro_desc_37=DC Voltage PV 6
ro_p_37=0
ro_i_37=undefined
ro_reg_37=33292
ro_var_38=DC_Current_6
ro_desc_38=DC Current PV 6
ro_p_38=0
ro_i_38=undefined
ro_reg_38=33293
ro_var_39=DC_Voltage_7
ro_desc_39=DC Voltage PV 7
ro_p_39=0
ro_i_39=undefined
ro_reg_39=33294
ro_var_40=DC_Current_7
ro_desc_40=DC Current PV 7
ro_p_40=0
ro_i_40=undefined
ro_reg_40=33295
ro_var_41=DC_Voltage_8
ro_desc_41=DC Voltage PV 8
ro_p_41=0
ro_i_41=undefined
ro_reg_41=33296
ro_var_42=DC_Current_8
ro_desc_42=DC Current PV 8
ro_p_42=0
ro_i_42=undefined
ro_reg_42=33297
ro_var_43=DC_Voltage_9
ro_desc_43=DC Voltage PV 9
ro_p_43=0
ro_i_43=undefined
ro_reg_43=33298
ro_var_44=DC_Current_9
ro_desc_44=DC Current PV 9
ro_p_44=0
ro_i_44=undefined
ro_reg_44=33299
ro_var_45=DC_Voltage_10
ro_desc_45=DC Voltage PV 10
ro_p_45=0
ro_i_45=undefined
ro_reg_45=33300
ro_var_46=DC_Current_10
ro_desc_46=DC Current PV 10
ro_p_46=0
ro_i_46=undefined
ro_reg_46=33301
ro_var_47=DC_Voltage_11
ro_desc_47=DC Voltage PV 11
ro_p_47=0
ro_i_47=undefined
ro_reg_47=33302
ro_var_48=DC_Current_11
ro_desc_48=DC Current PV 11
ro_p_48=0
ro_i_48=undefined
ro_reg_48=33303
ro_var_49=DC_Voltage_12
ro_desc_49=DC Voltage PV 12
ro_p_49=0
ro_i_49=undefined
ro_reg_49=33304
ro_var_50=DC_Current_12
ro_desc_50=DC Current PV 12
ro_p_50=0
ro_i_50=undefined
ro_reg_50=33305
ro_var_51=DC_Voltage_13
ro_desc_51=DC Voltage PV 13
ro_p_51=0
ro_i_51=undefined
ro_reg_51=33306
ro_var_52=DC_Current_13
ro_desc_52=DC Current PV 13
ro_p_52=0
ro_i_52=undefined
ro_reg_52=33307
ro_var_53=DC_Voltage_14
ro_desc_53=DC Voltage PV 14
ro_p_53=0
ro_i_53=undefined
ro_reg_53=33308
ro_var_54=DC_Current_14
ro_desc_54=DC Current PV 14
ro_p_54=0
ro_i_54=undefined
ro_reg_54=33309
ro_var_55=DC_Voltage_15
ro_desc_55=DC Voltage PV 15
ro_p_55=0
ro_i_55=undefined
ro_reg_55=33310
ro_var_56=DC_Current_15
ro_desc_56=DC Current PV 15
ro_p_56=0
ro_i_56=undefined
ro_reg_56=33311
ro_var_57=DC_Voltage_16
ro_desc_57=DC Voltage PV 16
ro_p_57=0
ro_i_57=undefined
ro_reg_57=33312
ro_var_58=DC_Current_16
ro_desc_58=DC Current PV 16
ro_p_58=0
ro_i_58=undefined
ro_reg_58=33313
ro_var_59=DC_Voltage_17
ro_desc_59=DC Voltage PV 17
ro_p_59=0
ro_i_59=undefined
ro_reg_59=33314
ro_var_60=DC_Current_17
ro_desc_60=DC Current PV 17
ro_p_60=0
ro_i_60=undefined
ro_reg_60=33315
ro_var_61=DC_Voltage_18
ro_desc_61=DC Voltage PV 18
ro_p_61=0
ro_i_61=undefined
ro_reg_61=33316
ro_var_62=DC_Current_18
ro_desc_62=DC Current PV 18
ro_p_62=0
ro_i_62=undefined
ro_reg_62=33317
ro_var_63=Status_Code
ro_desc_63=Vendor-defined Operating State
ro_p_63=0
ro_i_63=undefined
ro_reg_63=33536
ro_var_64=newreg57
ro_desc_64=Inverter Temperature
ro_p_64=0
ro_i_64=undefined
ro_reg_64=33537
ro_var_65=newreg58
ro_desc_65=undefined
ro_p_65=0
ro_i_65=undefined
ro_reg_65=33538
ro_var_66=Temperature_Internal
ro_desc_66=Inverter Temperature
ro_p_66=0
ro_i_66=undefined
ro_reg_66=33539
ro_var_67=Alarm_Code_1
ro_desc_67=Vendor-defined Events and Errors
ro_p_67=0
ro_i_67=undefined
ro_reg_67=33792
ro_var_68=Fault_Code_1
ro_desc_68=Vendor-defined Events and Errors
ro_p_68=0
ro_i_68=undefined
ro_reg_68=33793
ro_var_69=Fault_Code_2
ro_desc_69=Vendor-defined Events and Errors
ro_p_69=0
ro_i_69=undefined
ro_reg_69=33794
ro_var_70=Fault_Code_3
ro_desc_70=Vendor-defined Events and Errors
ro_p_70=0
ro_i_70=undefined
ro_reg_70=33795
ro_var_71=Fault_Code_4
ro_desc_71=Vendor-defined Events and Errors
ro_p_71=0
ro_i_71=undefined
ro_reg_71=33796
ro_var_72=Fault_Code_5
ro_desc_72=Vendor-defined Events and Errors
ro_p_72=0
ro_i_72=undefined
ro_reg_72=33797
ro_var_73=Fault_Code_6
ro_desc_73=Vendor-defined Events and Errors
ro_p_73=0
ro_i_73=undefined
ro_reg_73=33798
ro_var_74=Fault_Code_7
ro_desc_74=Vendor-defined Events and Errors
ro_p_74=0
ro_i_74=undefined
ro_reg_74=33799
ro_var_75=Event_Code
ro_desc_75=Vendor-defined Events and Errors
ro_p_75=0
ro_i_75=undefined
ro_reg_75=33800
ro_var_76=ARMC_Code
ro_desc_76=Vendor-defined Events and Errors
ro_p_76=0
ro_i_76=undefined
ro_reg_76=33801
ro_var_77=Alarm_Code_2
ro_desc_77=Vendor-defined Events and Errors
ro_p_77=0
ro_i_77=undefined
ro_reg_77=33802
ro_var_78=Fuse_Code_1
ro_desc_78=Vendor-defined Events and Errors
ro_p_78=0
ro_i_78=undefined
ro_reg_78=33803
ro_var_79=Fuse_Code_2
ro_desc_79=Vendor-defined Events and Errors
ro_p_79=0
ro_i_79=undefined
ro_reg_79=33804
ro_var_80=Fault_Code_8
ro_desc_80=Vendor-defined Events and Errors
ro_p_80=0
ro_i_80=undefined
ro_reg_80=33805
role_var_0=AC_Active_Power
role_type_0=2
role_idx_0=14
role_scale_0=0.1
role_var_1=AC_Reactive_Power
role_type_1=2
role_idx_1=18
role_scale_1=0.1
role_var_2=AC_PF
role_type_2=2
role_idx_2=22
role_scale_2=100
role_var_3=kWh_Total_Active
role_type_3=25
role_idx_3=2
role_scale_3=1
role_var_4=kWh_Day_Active
role_type_4=31
role_idx_4=0
role_scale_4=10
role_var_5=kWh_Month_Active
role_type_5=25
role_idx_5=4
role_scale_5=10
role_var_6=kWh_Year_Active
role_type_6=25
role_idx_6=6
role_scale_6=10
role_var_7=AC_Current_A
role_type_7=2
role_idx_7=8
role_scale_7=10
role_var_8=AC_Current_B
role_type_8=2
role_idx_8=9
role_scale_8=10
role_var_9=AC_Current_C
role_type_9=2
role_idx_9=10
role_scale_9=10
role_var_10=AC_Active_Power_A
role_type_10=2
role_idx_10=11
role_scale_10=0.1
role_var_11=AC_Active_Power_B
role_type_11=2
role_idx_11=12
role_scale_11=0.1
role_var_12=AC_Active_Power_C
role_type_12=2
role_idx_12=13
role_scale_12=0.1
role_var_13=AC_Reactive_Power_A
role_type_13=2
role_idx_13=15
role_scale_13=0.001
role_var_14=AC_Reactive_Power_B
role_type_14=2
role_idx_14=16
role_scale_14=0.001
role_var_15=AC_Reactive_Power_C
role_type_15=2
role_idx_15=17
role_scale_15=0.001
role_var_16=AC_PF_A
role_type_16=2
role_idx_16=19
role_scale_16=100
role_var_17=AC_PF_B
role_type_17=2
role_idx_17=20
role_scale_17=100
role_var_18=AC_PF_C
role_type_18=2
role_idx_18=21
role_scale_18=100
role_var_19=AC_Voltage_AN
role_type_19=2
role_idx_19=23
role_scale_19=10
role_var_20=AC_Voltage_BN
role_type_20=2
role_idx_20=24
role_scale_20=10
role_var_21=AC_Voltage_CN
role_type_21=2
role_idx_21=25
role_scale_21=10
role_var_22=DC_Power
role_type_22=2
role_idx_22=26
role_scale_22=0.1
role_var_23=DC_Voltage_1
role_type_23=2
role_idx_23=27
role_scale_23=10
role_var_24=DC_Current_1
role_type_24=2
role_idx_24=28
role_scale_24=10
role_var_25=DC_Voltage_2
role_type_25=2
role_idx_25=29
role_scale_25=10
role_var_26=DC_Current_2
role_type_26=2
role_idx_26=30
role_scale_26=10
role_var_27=DC_Voltage_3
role_type_27=2
role_idx_27=31
role_scale_27=10
role_var_28=DC_Current_3
role_type_28=2
role_idx_28=32
role_scale_28=10
role_var_29=DC_Voltage_4
role_type_29=2
role_idx_29=33
role_scale_29=10
role_var_30=DC_Current_4
role_type_30=2
role_idx_30=34
role_scale_30=10
role_var_31=DC_Voltage_5
role_type_31=2
role_idx_31=35
role_scale_31=10
role_var_32=DC_Current_5
role_type_32=2
role_idx_32=36
role_scale_32=10
role_var_33=DC_Voltage_6
role_type_33=2
role_idx_33=37
role_scale_33=10
role_var_34=DC_Current_6
role_type_34=2
role_idx_34=38
role_scale_34=10
role_var_35=DC_Voltage_7
role_type_35=2
role_idx_35=39
role_scale_35=10
role_var_36=DC_Current_7
role_type_36=2
role_idx_36=40
role_scale_36=10
role_var_37=DC_Voltage_8
role_type_37=2
role_idx_37=41
role_scale_37=10
role_var_38=DC_Current_8
role_type_38=2
role_idx_38=42
role_scale_38=10
role_var_39=DC_Voltage_9
role_type_39=2
role_idx_39=43
role_scale_39=10
role_var_40=DC_Current_9
role_type_40=2
role_idx_40=44
role_scale_40=10
role_var_41=DC_Voltage_10
role_type_41=2
role_idx_41=45
role_scale_41=10
role_var_42=DC_Current_10
role_type_42=2
role_idx_42=46
role_scale_42=10
role_var_43=DC_Current_11
role_type_43=2
role_idx_43=48
role_scale_43=10
role_var_44=DC_Voltage_12
role_type_44=2
role_idx_44=49
role_scale_44=10
role_var_45=DC_Current_12
role_type_45=2
role_idx_45=50
role_scale_45=10
role_var_46=DC_Voltage_13
role_type_46=2
role_idx_46=51
role_scale_46=10
role_var_47=DC_Current_13
role_type_47=2
role_idx_47=52
role_scale_47=10
role_var_48=DC_Voltage_14
role_type_48=2
role_idx_48=53
role_scale_48=10
role_var_49=DC_Current_14
role_type_49=2
role_idx_49=54
role_scale_49=10
role_var_50=DC_Voltage_15
role_type_50=2
role_idx_50=55
role_scale_50=10
role_var_51=DC_Current_15
role_type_51=2
role_idx_51=56
role_scale_51=10
role_var_52=DC_Voltage_16
role_type_52=2
role_idx_52=57
role_scale_52=10
role_var_53=DC_Current_16
role_type_53=2
role_idx_53=58
role_scale_53=10
role_var_54=DC_Voltage_17
role_type_54=2
role_idx_54=59
role_scale_54=10
role_var_55=DC_Voltage_17
role_type_55=2
role_idx_55=59
role_scale_55=10
role_var_56=DC_Current_17
role_type_56=2
role_idx_56=60
role_scale_56=10
role_var_57=DC_Current_17
role_type_57=2
role_idx_57=61
role_scale_57=10
role_var_58=DC_Current_18
role_type_58=2
role_idx_58=62
role_scale_58=10
role_var_59=Status_Code
role_type_59=2
role_idx_59=63
role_scale_59=1
role_var_60=Temperature_Internal
role_type_60=2
role_idx_60=66
role_scale_60=10
role_var_61=Alarm_Code_1
role_type_61=31
role_idx_61=67
role_scale_61=1
role_var_62=Fault_Code_1
role_type_62=31
role_idx_62=68
role_scale_62=1
role_var_63=Fault_Code_2
role_type_63=31
role_idx_63=69
role_scale_63=1
role_var_64=Fault_Code_3
role_type_64=31
role_idx_64=70
role_scale_64=1
role_var_65=Fault_Code_4
role_type_65=31
role_idx_65=71
role_scale_65=1
role_var_66=Fault_Code_5
role_type_66=31
role_idx_66=72
role_scale_66=1
role_var_67=Fault_Code_6
role_type_67=31
role_idx_67=73
role_scale_67=1
role_var_68=Fault_Code_7
role_type_68=31
role_idx_68=74
role_scale_68=1
role_var_69=Event_Code
role_type_69=31
role_idx_69=75
role_scale_69=1
role_var_70=ARMC_Code
role_type_70=31
role_idx_70=76
role_scale_70=1
role_var_71=Alarm_Code_2
role_type_71=31
role_idx_71=77
role_scale_71=1
role_var_72=Fuse_Code_1
role_type_72=31
role_idx_72=78
role_scale_72=1
role_var_73=Fuse_Code_2
role_type_73=31
role_idx_73=79
role_scale_73=1
role_var_74=Fault_Code_8
role_type_74=31
role_idx_74=80
role_scale_74=1
ot_type_0=0
ot_func_0=3
ot_address_0=2823
ot_count_0=10
ot_type_1=1
ot_func_1=3
ot_address_1=2834
ot_count_1=10

